searchData={"content_type":"text/markdown","items":[{"doc":"Client for the RocketReach API.\nProvides functions to search and lookup contact information for professionals and companies.\n\nThis module offers comprehensive functionality for interacting with the RocketReach API, including:","ref":"RocketReach.html","title":"RocketReach","type":"module"},{"doc":"- Account management and API key creation\n- Person lookup and search capabilities\n- Company information retrieval and search\n- Bulk lookup operations\n- NPI contact search\n- Profile-company lookup","ref":"RocketReach.html#module-core-features","title":"Core Features - RocketReach","type":"module"},{"doc":"- Technology stack analysis\n- Competitor analysis\n- Industry information\n- Company growth metrics\n- Company size and revenue search\n- Funding information\n- Location-based company search\n- Public trading status verification\n- Organizational structure analysis","ref":"RocketReach.html#module-company-specific-features","title":"Company-Specific Features - RocketReach","type":"module"},{"doc":"client = RocketReach.new(\"your_api_key\")\n    {:ok, response} = RocketReach.lookup_company(client, %{domain: \"example.com\"})\n\nAPI Reference: https://api.rocketreach.co/api/v2","ref":"RocketReach.html#module-usage-example","title":"Usage Example - RocketReach","type":"module"},{"doc":"Performs bulk lookup operations for multiple queries.","ref":"RocketReach.html#bulk_lookup/3","title":"RocketReach.bulk_lookup/3","type":"function"},{"doc":"- client: RocketReach client struct\n  - queries: List of query parameters\n  - opts: Optional keyword list with :profile_list and :webhook_id","ref":"RocketReach.html#bulk_lookup/3-parameters","title":"Parameters - RocketReach.bulk_lookup/3","type":"function"},{"doc":"- `{:ok, response}` containing bulk lookup results\n  - `{:error, reason}` on failure","ref":"RocketReach.html#bulk_lookup/3-returns","title":"Returns - RocketReach.bulk_lookup/3","type":"function"},{"doc":"Checks the status of multiple person lookups.","ref":"RocketReach.html#check_person_status/2","title":"RocketReach.check_person_status/2","type":"function"},{"doc":"- client: RocketReach client struct\n  - ids: List of person IDs to check","ref":"RocketReach.html#check_person_status/2-parameters","title":"Parameters - RocketReach.check_person_status/2","type":"function"},{"doc":"- `{:ok, response}` containing status information\n  - `{:error, reason}` on failure","ref":"RocketReach.html#check_person_status/2-returns","title":"Returns - RocketReach.check_person_status/2","type":"function"},{"doc":"Creates a new API key for the authenticated account.","ref":"RocketReach.html#create_api_key/1","title":"RocketReach.create_api_key/1","type":"function"},{"doc":"- client: RocketReach client struct","ref":"RocketReach.html#create_api_key/1-parameters","title":"Parameters - RocketReach.create_api_key/1","type":"function"},{"doc":"- `{:ok, response}` containing the new API key\n  - `{:error, reason}` on failure","ref":"RocketReach.html#create_api_key/1-returns","title":"Returns - RocketReach.create_api_key/1","type":"function"},{"doc":"Retrieves account information for the authenticated user.","ref":"RocketReach.html#get_account/1","title":"RocketReach.get_account/1","type":"function"},{"doc":"- client: RocketReach client struct","ref":"RocketReach.html#get_account/1-parameters","title":"Parameters - RocketReach.get_account/1","type":"function"},{"doc":"- `{:ok, response}` on success\n  - `{:error, reason}` on failure","ref":"RocketReach.html#get_account/1-returns","title":"Returns - RocketReach.get_account/1","type":"function"},{"doc":"","ref":"RocketReach.html#get_company_competitors/2","title":"RocketReach.get_company_competitors/2","type":"function"},{"doc":"","ref":"RocketReach.html#get_company_funding/2","title":"RocketReach.get_company_funding/2","type":"function"},{"doc":"","ref":"RocketReach.html#get_company_growth/2","title":"RocketReach.get_company_growth/2","type":"function"},{"doc":"","ref":"RocketReach.html#get_company_industries/2","title":"RocketReach.get_company_industries/2","type":"function"},{"doc":"","ref":"RocketReach.html#get_company_size/2","title":"RocketReach.get_company_size/2","type":"function"},{"doc":"Retrieves the technology stack for a company by domain.","ref":"RocketReach.html#get_company_tech_stack/2","title":"RocketReach.get_company_tech_stack/2","type":"function"},{"doc":"- client: RocketReach client struct\n  - domain: Company domain name","ref":"RocketReach.html#get_company_tech_stack/2-parameters","title":"Parameters - RocketReach.get_company_tech_stack/2","type":"function"},{"doc":"- `{:ok, tech_stack}` containing list of technologies\n  - `{:error, reason}` on failure","ref":"RocketReach.html#get_company_tech_stack/2-returns","title":"Returns - RocketReach.get_company_tech_stack/2","type":"function"},{"doc":"Get employees by department","ref":"RocketReach.html#get_department_structure/3","title":"RocketReach.get_department_structure/3","type":"function"},{"doc":"Get direct reports for a specific person","ref":"RocketReach.html#get_direct_reports/2","title":"RocketReach.get_direct_reports/2","type":"function"},{"doc":"Get company leadership team","ref":"RocketReach.html#get_leadership_team/2","title":"RocketReach.get_leadership_team/2","type":"function"},{"doc":"Retrieves contact information for a healthcare provider using NPI number.","ref":"RocketReach.html#get_npi_contact/2","title":"RocketReach.get_npi_contact/2","type":"function"},{"doc":"- client: RocketReach client struct\n  - npi: National Provider Identifier number","ref":"RocketReach.html#get_npi_contact/2-parameters","title":"Parameters - RocketReach.get_npi_contact/2","type":"function"},{"doc":"- `{:ok, response}` containing provider contact information\n  - `{:error, reason}` on failure","ref":"RocketReach.html#get_npi_contact/2-returns","title":"Returns - RocketReach.get_npi_contact/2","type":"function"},{"doc":"Get company organizational chart by domain","ref":"RocketReach.html#get_org_chart/2","title":"RocketReach.get_org_chart/2","type":"function"},{"doc":"","ref":"RocketReach.html#is_publicly_traded?/2","title":"RocketReach.is_publicly_traded?/2","type":"function"},{"doc":"Looks up company information by various parameters.","ref":"RocketReach.html#lookup_company/2","title":"RocketReach.lookup_company/2","type":"function"},{"doc":"- client: RocketReach client struct\n  - params: Map of company parameters (e.g., domain, name)","ref":"RocketReach.html#lookup_company/2-parameters","title":"Parameters - RocketReach.lookup_company/2","type":"function"},{"doc":"- `{:ok, response}` containing company details\n  - `{:error, reason}` on failure","ref":"RocketReach.html#lookup_company/2-returns","title":"Returns - RocketReach.lookup_company/2","type":"function"},{"doc":"Looks up detailed information about a person.","ref":"RocketReach.html#lookup_person/2","title":"RocketReach.lookup_person/2","type":"function"},{"doc":"- client: RocketReach client struct\n  - params: Map of search parameters (e.g., email, name, company)","ref":"RocketReach.html#lookup_person/2-parameters","title":"Parameters - RocketReach.lookup_person/2","type":"function"},{"doc":"- `{:ok, response}` containing person details\n  - `{:error, reason}` on failure","ref":"RocketReach.html#lookup_person/2-returns","title":"Returns - RocketReach.lookup_person/2","type":"function"},{"doc":"Looks up profile-company relationship information.","ref":"RocketReach.html#lookup_profile_company/2","title":"RocketReach.lookup_profile_company/2","type":"function"},{"doc":"- client: RocketReach client struct\n  - params: Map of lookup parameters","ref":"RocketReach.html#lookup_profile_company/2-parameters","title":"Parameters - RocketReach.lookup_profile_company/2","type":"function"},{"doc":"- `{:ok, response}` containing profile-company information\n  - `{:error, reason}` on failure","ref":"RocketReach.html#lookup_profile_company/2-returns","title":"Returns - RocketReach.lookup_profile_company/2","type":"function"},{"doc":"Creates a new RocketReach API client with the provided API key.","ref":"RocketReach.html#new/1","title":"RocketReach.new/1","type":"function"},{"doc":"- api_key: String representing your RocketReach API key","ref":"RocketReach.html#new/1-parameters","title":"Parameters - RocketReach.new/1","type":"function"},{"doc":"- Req struct configured with base URL and API key header","ref":"RocketReach.html#new/1-returns","title":"Returns - RocketReach.new/1","type":"function"},{"doc":"Searches for companies based on specified criteria.","ref":"RocketReach.html#search_companies/2","title":"RocketReach.search_companies/2","type":"function"},{"doc":"- client: RocketReach client struct\n  - query: Map containing search criteria","ref":"RocketReach.html#search_companies/2-parameters","title":"Parameters - RocketReach.search_companies/2","type":"function"},{"doc":"- `{:ok, response}` containing search results\n  - `{:error, reason}` on failure","ref":"RocketReach.html#search_companies/2-returns","title":"Returns - RocketReach.search_companies/2","type":"function"},{"doc":"","ref":"RocketReach.html#search_companies_by_location/4","title":"RocketReach.search_companies_by_location/4","type":"function"},{"doc":"","ref":"RocketReach.html#search_companies_by_revenue/3","title":"RocketReach.search_companies_by_revenue/3","type":"function"},{"doc":"","ref":"RocketReach.html#search_companies_by_size/3","title":"RocketReach.search_companies_by_size/3","type":"function"},{"doc":"Searches for companies using specific technologies.","ref":"RocketReach.html#search_companies_by_tech/2","title":"RocketReach.search_companies_by_tech/2","type":"function"},{"doc":"- client: RocketReach client struct\n  - technologies: List of technology names","ref":"RocketReach.html#search_companies_by_tech/2-parameters","title":"Parameters - RocketReach.search_companies_by_tech/2","type":"function"},{"doc":"- `{:ok, response}` containing matching companies\n  - `{:error, reason}` on failure","ref":"RocketReach.html#search_companies_by_tech/2-returns","title":"Returns - RocketReach.search_companies_by_tech/2","type":"function"},{"doc":"Search for all employees at a company with their roles and reporting structure","ref":"RocketReach.html#search_company_employees/2","title":"RocketReach.search_company_employees/2","type":"function"},{"doc":"Searches for people based on specified criteria.","ref":"RocketReach.html#search_people/2","title":"RocketReach.search_people/2","type":"function"},{"doc":"- client: RocketReach client struct\n  - query: Map containing search criteria","ref":"RocketReach.html#search_people/2-parameters","title":"Parameters - RocketReach.search_people/2","type":"function"},{"doc":"- `{:ok, response}` containing search results\n  - `{:error, reason}` on failure","ref":"RocketReach.html#search_people/2-returns","title":"Returns - RocketReach.search_people/2","type":"function"},{"doc":"# ex_rocketreach\n\nAn Elixir client library for the RocketReach API, providing easy access to professional and company contact information.","ref":"readme.html","title":"ex_rocketreach","type":"extras"},{"doc":"Add `ex_rocketreach` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_rocketreach, \"~> 0.1.2\"}\n  ]\nend\n```","ref":"readme.html#installation","title":"Installation - ex_rocketreach","type":"extras"},{"doc":"","ref":"readme.html#usage","title":"Usage - ex_rocketreach","type":"extras"},{"doc":"```elixir\n# Create a new client with your API key\nclient = RocketReach.new(\"your_api_key\")\n```","ref":"readme.html#basic-setup","title":"Basic Setup - ex_rocketreach","type":"extras"},{"doc":"```elixir\n# Look up a person by parameters\n{:ok, person} = RocketReach.lookup_person(client, %{\n  email: \"example@company.com\"\n})\n\n# Search for people\n{:ok, results} = RocketReach.search_people(client, %{\n  query: %{\n    current_employer: [\"example.com\"],\n    management_levels: [\"C-Level\", \"VP\"]\n  }\n})\n```","ref":"readme.html#person-lookup-and-search","title":"Person Lookup and Search - ex_rocketreach","type":"extras"},{"doc":"```elixir\n# Look up company details\n{:ok, company} = RocketReach.lookup_company(client, %{domain: \"example.com\"})\n\n# Get company tech stack\n{:ok, tech_stack} = RocketReach.get_company_tech_stack(client, \"example.com\")\n```","ref":"readme.html#company-information","title":"Company Information - ex_rocketreach","type":"extras"},{"doc":"```elixir\n# Get company org chart\n{:ok, org_chart} = RocketReach.get_org_chart(client, \"example.com\")\n\n# Get leadership team\n{:ok, leaders} = RocketReach.get_leadership_team(client, \"example.com\")\n```","ref":"readme.html#organization-structure","title":"Organization Structure - ex_rocketreach","type":"extras"},{"doc":"- Person lookup and search\n- Company information retrieval\n- Technology stack analysis\n- Organization structure mapping\n- Department-wise employee search\n- Leadership team identification\n- Bulk lookup operations","ref":"readme.html#features","title":"Features - ex_rocketreach","type":"extras"},{"doc":"Full documentation can be found at [https://hexdocs.pm/ex_rocketreach](https://hexdocs.pm/ex_rocketreach).","ref":"readme.html#documentation","title":"Documentation - ex_rocketreach","type":"extras"},{"doc":"1. Fork it\n2. Create your feature branch (`git checkout -b feature/my-new-feature`)\n3. Commit your changes (`git commit -am 'Add some feature'`)\n4. Push to the branch (`git push origin feature/my-new-feature`)\n5. Create new Pull Request","ref":"readme.html#contributing","title":"Contributing - ex_rocketreach","type":"extras"}],"producer":{"name":"ex_doc","version":"0.35.1"},"proglang":"elixir"}